Mi centro de sofware de Ubuntu 12.04 no me funciona

Imagen de ras harold
0 puntos

Mi centro de sofware de Ubuntu 12.04 no me funciona, no me deja instalar nada, tampoco des-instalar nada dice el soguiente error

Ocurrió un error que no se puede manejar
Parece que hay un error de programación en aptdaemon, el software que le permite instalar o eliminar software y realizar otras tareas de gestión de paquetes relacionadas
detalles
Traceback (most recent call last):
File "/usr/lib/python2.7/dist-packages/aptdaemon/worker.py", line 1041, in _simulate
trans.unauthenticated = self.__simulate(trans)
File "/usr/lib/python2.7/dist-packages/aptdaemon/worker.py", line 1156, in __simulate
unauthenticated = self._get_unauthenticated()
File "/usr/lib/python2.7/dist-packages/aptdaemon/worker.py", line 347, in _get_unauthenticated
for pkg in self._iterate_packages():
File "/usr/lib/python2.7/dist-packages/aptdaemon/worker.py", line 1352, in _iterate_packages
for enum, pkg in enumerate(self._cache):
File "/usr/lib/python2.7/dist-packages/apt/cache.py", line 197, in __iter__
yield self[pkgname]
File "/usr/lib/python2.7/dist-packages/apt/cache.py", line 182, in __getitem__
pkg = self._weakref[key] = Package(self, self._cache[key])
KeyError: ' omputer-janitor-gtk'

este error también sale cuando intento reparar lo dañado no me sirve el centro de software que hago
muchas gracias
rs que en realidad no se mucho acerca de como utilizar ubuntu les agradecería su colaboración ya que tengo que instalar algo muy importante,
gracias.

Imagen de cuentos
+1
0
-1

ejecuta en la terminal:
sudo apt-get update
y pon el error que te da.

+1
0
-1

(recordatorio) -+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-
Si el problema se soluciono, edita el 1° hilo, y agrega (Solucionado), para tener el foro mas ordenado.
Y finaliza poniendo la solución para que sirva para otros Usuarios.
Twitter @mcuentos

Imagen de art1110
+1
0
-1

El error que me sale es el siguiente:

E: se interrumpió la ejecución de dpkg, debe ejecutar manualmente «sudo dpkg --configure -a» para corregir el problema.

...

+1
0
-1
Imagen de .doc
+1
0
-1

pues haz lo que te dice ¿no?

+1
0
-1
Imagen de Malyto
+1
0
-1

malyto@malyto-PC:~$ sudo apt-get update
[sudo] password for malyto:
E: Tipo «nza» desconocido en la línea 2 de lista de fuentes /etc/apt/sources.list.d/tiheum-equinox-precise.list
E: No se pudieron leer las listas de fuentes.

Facil me sirvio lo que aca decian: usando sudo nautilus navegue hasta etc/apt/sources.list.d/ ahi abri , usando el editor de texto el archivo "tiheum-equinox-precise.list" agregue # al comienzo de la segunda

+1
0
-1
Imagen de EstebanRuiz
+1
-1
-1

Me aparece esto:
estebanruiz95@Esteban-HP-Pavilion-g4-Notebook-PC:~$ apt-get install -f
E: No se pudo abrir el fichero de bloqueo «/var/lib/dpkg/lock» - open (13: Permiso denegado)
E: No se encontró un archivo de réplica «/var/lib/dpkg/»
Despues de desactivar los repositorios de terceros, por que eso me pide hacer

+1
-1
-1

Todo es posible cuando se tienen ganas.

Imagen de cuentos
+1
0
-1

No puedes ejecutar el comando, ya que tu usurario no tiene los permisos de administrador.
Para ejecutarlo tienes que hacerlo con sudo:
Sudo apt-get install -f
Aunque no se cual se tu problema para querer forzar la instalación/actualización.

+1
0
-1

(recordatorio) -+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-
Si el problema se soluciono, edita el 1° hilo, y agrega (Solucionado), para tener el foro mas ordenado.
Y finaliza poniendo la solución para que sirva para otros Usuarios.
Twitter @mcuentos